Package org.silverpeas.components.kmelia.control

## Class KmeliaSessionController

- java.lang.Object
- - org.silverpeas.core.web.mvc.controller.AbstractComponentSessionController
  - - org.silverpeas.components.kmelia.control.KmeliaSessionController

- All Implemented Interfaces:
    `Serializable`, `ExportFileNameProducer`, `org.silverpeas.core.web.mvc.controller.ComponentSessionController`, `org.silverpeas.core.web.session.SessionCloseable`

      public class KmeliaSessionController
      extends org.silverpeas.core.web.mvc.controller.AbstractComponentSessionController
      implements ExportFileNameProducer

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `KmeliaSessionController.CLIPBOARD_STATE` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `MASSIVE_IMPORT_MODE_MULTI_PUBLICATIONS` |
    `static String` | `MASSIVE_IMPORT_MODE_ONE_PUBLICATION` |
    `static String` | `TAB_ACCESS_PATHS` |
    `static String` | `TAB_ATTACHMENTS` |
    `static String` | `TAB_COMMENT` |
    `static String` | `TAB_CONTENT` |
    `static String` | `TAB_HEADER` |
    `static String` | `TAB_PREVIEW` |
    `static String` | `TAB_READER_LIST` |
    `static String` | `TAB_SEE_ALSO` |
    `static String` | `UNITARY_IMPORT_MODE` |

    - ### Fields inherited from class org.silverpeas.core.web.mvc.controller.AbstractComponentSessionController

      `context`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `KmeliaSessionController​(org.silverpeas.core.web.mvc.controller.MainSessionController mainSessionCtrl, org.silverpeas.core.web.mvc.controller.ComponentContext context)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addAxis​(org.silverpeas.core.node.model.NodeDetail axis)` |
    `void` | `addPosition​(String fatherId, org.silverpeas.core.node.model.NodeDetail position)` |
    `void` | `addPublicationReminder​(org.silverpeas.core.contribution.publication.model.PublicationDetail pubDetail, List<org.apache.commons.fileupload.FileItem> parameters)` | Create the date reminder for the given publication
    `int` | `addPublicationsToLink​(String pubId, Set<String> links)` | adds links between specified publication and other publications contained in links parameter
    `void` | `addPublicationToCombination​(String pubId, List<String> combination)` |
    `org.silverpeas.core.node.model.NodePK` | `addSubTopic​(org.silverpeas.core.node.model.NodeDetail nd, String alertType, String parentId)` |
    `void` | `addUploadedFilesToPublication​(Collection<org.silverpeas.core.io.upload.UploadedFile> uploadedFiles, org.silverpeas.core.contribution.publication.model.PublicationDetail pubDetail)` | attach uploaded files to the specified publication
    `static KmeliaPublicationExporter` | `aKmeliaPublicationExporter()` | Gets a new exporter of Kmelia publications.
    `boolean` | `attachmentsInPubList()` |
    `void` | `backupCurrentLanguage()` | Backups the current active content language in order to update it for an operation.
    `void` | `changeTopicStatus​(String newStatus, String topicId, boolean recursiveChanges)` |
    `void` | `clonePublication()` |
    `void` | `clonePublication​(org.silverpeas.core.contribution.publication.model.PublicationDetail pubDetail)` |
    `void` | `copyPublication​(String pubId)` |
    `void` | `copySelectedPublications()` |
    `void` | `copyTopic​(String id)` |
    `String` | `createPublication​(org.silverpeas.core.contribution.publication.model.PublicationDetail pubDetail, org.silverpeas.core.webapi.pdc.PdcClassificationEntity classification)` |
    `void` | `cutPublication​(String pubId)` |
    `void` | `cutSelectedPublications()` |
    `void` | `cutTopic​(String id)` |
    `void` | `deleteAxis​(String axisId)` |
    `void` | `deleteClone()` |
    `void` | `deletePosition​(String positionId)` |
    `void` | `deletePublication​(String pubId)` |
    `void` | `deletePublicationFromCombination​(String pubId, String combinationId)` |
    `List<String>` | `deleteSelectedPublications()` |
    `String` | `deleteTopic​(String topicId)` |
    `boolean` | `displayNbPublis()` |
    `String` | `displayPath​(Collection<org.silverpeas.core.node.model.NodeDetail> path, boolean linked, int beforeAfter)` |
    `void` | `draftInPublication()` | Change publication status from any state to draft
    `void` | `draftOutPublication()` |
    `File` | `exportPublication()` |
    `void` | `flushTrashCan()` |
    `void` | `forcePublicationValidation​(String publicationId)` |
    `File` | `generateDocument​(org.silverpeas.core.contribution.converter.DocumentFormat inFormat, String fromPubId)` | Generates a document in the specified format from the specified publication.
    `List<org.silverpeas.core.node.model.NodeDetail>` | `getAliasTreeview​(String instanceId)` |
    `Collection<org.silverpeas.core.contribution.publication.model.PublicationDetail>` | `getAllPublications()` |
    `Collection<org.silverpeas.core.contribution.publication.model.PublicationDetail>` | `getAllPublications​(String sortedBy)` | Get all publications sorted
    `Collection<org.silverpeas.core.contribution.publication.model.PublicationDetail>` | `getAllPublicationsByTopic​(String instanceId, List<String> fatherIds)` |
    `List<org.silverpeas.core.util.WAAttributeValuePair>` | `getAllVisiblePublications()` | Get all visible publications
    `List<org.silverpeas.core.util.WAAttributeValuePair>` | `getAllVisiblePublicationsByTopic​(String topicId)` |
    `List<String>` | `getAttachmentLanguages()` |
    `String` | `getAttachmentURL​(String fileId, boolean fromAlias)` | Return the url to access the file
    `List<String>` | `getAvailableFormats()` | Gets all available export formats.
    `List<org.silverpeas.core.node.model.NodeDetail>` | `getAxis()` |
    `List<org.silverpeas.core.node.model.NodeDetail>` | `getAxisHeaders()` |
    `String` | `getAxisIdGlossary()` | return the value of component parameter "axisIdGlossary".
    `org.silverpeas.core.node.model.NodePK` | `getBestAllowedPublicationFather​(String pubId)` |
    `TopicDetail` | `getBestTopicDetailsOfPublication​(String pubId)` |
    `KmeliaSessionController.CLIPBOARD_STATE` | `getClipboardState()` |
    `List<String>` | `getCombination​(String axisValuesStr)` | Get combination Axis (ie: /0/1037)
    `String` | `getContentLanguage()` |
    `List<String>` | `getCurrentCombination()` |
    `org.silverpeas.core.node.model.NodeDetail` | `getCurrentFolder()` |
    `String` | `getCurrentFolderId()` |
    `org.silverpeas.core.node.model.NodePK` | `getCurrentFolderPK()` |
    `String` | `getCurrentLanguage()` |
    `List<org.silverpeas.core.util.WAAttributeValuePair>` | `getCurrentPublicationsList()` | Get session publications
    `String` | `getCustomPublicationTemplateName()` |
    `protected org.silverpeas.core.datereminder.persistence.service.PersistentDateReminderService` | `getDateReminderService()` | Gets a business service of dateReminder.
    `String` | `getErrorMessageImportation​(org.silverpeas.core.importexport.report.ImportReport importReport, String importMode)` |
    `List<org.silverpeas.core.contribution.template.publication.PublicationTemplate>` | `getForms()` |
    `org.silverpeas.core.admin.user.model.SilverpeasRole` | `getHighestSilverpeasUserRole()` |
    `int` | `getIndexOfFirstPubToDisplay()` |
    `List<String>` | `getInvisibleTabs()` |
    `KmeliaService` | `getKmeliaService()` |
    `static List<String>` | `getLanguagesOfAttachments​(org.silverpeas.core.ResourceReference resourceReference)` |
    `List<org.silverpeas.core.silverstatistics.access.model.HistoryObjectDetail>` | `getLastAccess​(org.silverpeas.core.contribution.publication.model.PublicationPK pk)` |
    `List<KmeliaPublication>` | `getLatestPublications()` |
    `List<org.silverpeas.core.contribution.publication.model.PublicationDetail>` | `getListPublicationImported​(org.silverpeas.core.importexport.report.ImportReport importReport, String importMode)` |
    `List<String>` | `getModelUsed​(boolean specificToTopic)` | Gets a list of models used as publication content for the current topic.
    `int` | `getNbPublicationImported​(org.silverpeas.core.importexport.report.ImportReport importReport)` |
    `int` | `getNbPublicationsOnRoot()` |
    `int` | `getNbPublicationsPerPage()` |
    `String` | `getNext()` | getNext
    `org.silverpeas.core.node.model.NodeDetail` | `getNodeHeader​(String id)` |
    `org.silverpeas.core.node.service.NodeService` | `getNodeService()` |
    `Collection<org.silverpeas.core.node.model.NodeDetail>` | `getPath​(String positionId)` |
    `org.silverpeas.core.pdc.pdc.service.PdcManager` | `getPdcManager()` |
    `String` | `getPrevious()` | getPrevious
    `String` | `getProfile()` |
    `org.silverpeas.core.admin.user.model.ProfileInst` | `getProfile​(String role)` |
    `KmeliaPublication` | `getPublication​(String pubId)` |
    `KmeliaPublication` | `getPublication​(String pubId, boolean processIndex)` |
    `Collection<org.silverpeas.core.node.coordinates.model.Coordinate>` | `getPublicationCoordinates​(String pubId)` |
    `org.silverpeas.core.contribution.publication.model.PublicationDetail` | `getPublicationDetail​(String pubId)` |
    `String` | `getPublicationExportFileName​(KmeliaPublication publication, String language)` | Gets the name of the file into which the specified publication can be exported, whatever the format of the export file.
    `List<String>` | `getPublicationLanguages()` | get languages of publication header and attachments
    `Collection<org.silverpeas.core.contribution.publication.model.Location>` | `getPublicationLocations()` |
    `<T extends org.silverpeas.core.ResourceReference> Collection<KmeliaPublication>` | `getPublications​(List<T> references)` | Gets the authorized publications from given references into a context of read.
    `org.silverpeas.core.contribution.publication.service.PublicationService` | `getPublicationService()` |
    `<T extends org.silverpeas.core.ResourceReference> Collection<org.silverpeas.kernel.util.Pair<KmeliaPublication,​KmeliaPublication>>` | `getPublicationsForModification​(List<T> references)` | Gets the authorized publications from given references into context of modification.
    `int` | `getRang()` |
    `String` | `getRole()` |
    `SearchContext` | `getSearchContext()` |
    `List<org.silverpeas.core.contribution.publication.model.PublicationPK>` | `getSelectedPublicationPKs()` |
    `KmeliaPublication` | `getSessionClone()` |
    `List<String>` | `getSessionCombination()` |
    `boolean` | `getSessionOwner()` |
    `String` | `getSessionPath()` |
    `String` | `getSessionPathString()` |
    `KmeliaPublication` | `getSessionPublication()` |
    `List<KmeliaPublication>` | `getSessionPublicationsList()` |
    `KmeliaPublication` | `getSessionPubliOrClone()` |
    `String` | `getSessionTimeCriteria()` |
    `TopicDetail` | `getSessionTopicToLink()` |
    `String` | `getSingleAttachmentURLOfCurrentPublication​(boolean fromAlias)` | Returns URL of single attached file for the current publication.
    `KmeliaPublicationSort` | `getSort()` |
    `int` | `getSortValue()` |
    `List<org.silverpeas.core.admin.space.SpaceInstLight>` | `getSpacePath()` |
    `org.silverpeas.core.silverstatistics.access.service.StatisticService` | `getStatisticService()` |
    `org.silverpeas.core.node.model.NodeDetail` | `getSubTopicDetail​(String subTopicId)` |
    `List<String>` | `getSupportedFormats()` | Gets the export formats that are supported by the current Kmelia component instance.
    `org.silverpeas.core.io.media.image.thumbnail.ThumbnailSettings` | `getThumbnailSettings()` |
    `List<Integer>` | `getTimeAxisKeys()` |
    `TopicDetail` | `getTopic​(String id)` |
    `TopicDetail` | `getTopic​(String id, boolean resetSessionItems)` |
    `List<org.silverpeas.core.node.model.NodeDetail>` | `getTopicPath​(String topicId)` |
    `org.silverpeas.core.admin.user.model.ProfileInst` | `getTopicProfile​(String role, String topicId)` |
    `List<org.silverpeas.core.admin.user.model.ProfileInst>` | `getTopicProfiles()` |
    `List<org.silverpeas.core.admin.user.model.ProfileInst>` | `getTopicProfiles​(String topicId)` |
    `List<org.silverpeas.core.node.model.NodeDetail>` | `getTreeview​(String nodeId)` |
    `List<KmeliaPublication>` | `getUnbalancedPublications()` |
    `List<String>` | `getUserIdsOfTopic()` |
    `String` | `getUserTopicProfile()` |
    `String` | `getUserTopicProfile​(String id)` |
    `org.silverpeas.core.contribution.publication.model.ValidationStep` | `getValidationStep()` |
    `List<org.silverpeas.core.contribution.publication.model.ValidationStep>` | `getValidationSteps()` |
    `int` | `getValidationType()` |
    `String` | `getWysiwygOnTopic()` |
    `String` | `getWysiwygOnTopic​(String id)` |
    `String` | `getXmlFormForFiles()` |
    `org.silverpeas.core.contribution.content.form.Form` | `getXmlFormForPublications()` |
    `org.silverpeas.core.contribution.content.form.Form` | `getXmlFormSearchForPublications()` | Gets the XML form to use in a local search.
    `List<org.silverpeas.core.admin.user.model.Group>` | `groupIds2Groups​(List<String> groupIds)` |
    `org.silverpeas.core.importexport.report.ImportReport` | `importFile​(File fileUploaded, String importMode, boolean draftMode, int versionType)` |
    `String` | `initUPToSelectValidator​(String formElementName, String formElementId, String folderId)` |
    `void` | `initUserPanelForTopicProfile​(String role, String nodeId, String[] groupIds, String[] userIds)` |
    `boolean` | `isAllPublicationsListSelected()` |
    `boolean` | `isAttachmentsEnabled()` |
    `boolean` | `isAuthorUsed()` |
    `boolean` | `isCloneNeeded()` |
    `boolean` | `isCloneNeededWithDraft()` |
    `boolean` | `isCollegiateValidationEnable()` |
    `boolean` | `isComponentManageable()` |
    `boolean` | `isContentEnabled()` |
    `boolean` | `isCoWritingEnable()` |
    `boolean` | `isCurrentPublicationHaveContent()` |
    `boolean` | `isCurrentTopicAvailable()` |
    `boolean` | `isCustomPublicationTemplateUsed()` |
    `boolean` | `isDefaultClassificationModifiable​(String topicId, String componentId)` | Is the default classification on the PdC used to classify the publications published in the specified topic of the specified component instance can be modified during the multi-publications import process?
    `boolean` | `isDraftEnabled()` |
    `boolean` | `isDraftVisibleWithCoWriting()` |
    `boolean` | `isDragAndDropEnable()` |
    `boolean` | `isExportApplicationAllowed​(org.silverpeas.core.admin.user.model.SilverpeasRole greatestUserRole)` |
    `boolean` | `isExportPublicationAllowed​(org.silverpeas.core.admin.user.model.SilverpeasRole greatestUserRole)` |
    `boolean` | `isExportTopicAllowed​(org.silverpeas.core.admin.user.model.SilverpeasRole greatestUserRole)` |
    `boolean` | `isFieldDescriptionMandatory()` |
    `boolean` | `isFieldDescriptionVisible()` |
    `boolean` | `isFieldImportanceVisible()` |
    `boolean` | `isFieldKeywordsVisible()` |
    `boolean` | `isFieldVersionVisible()` |
    `boolean` | `isFormatSupported​(String format)` | Is the specified export format is supported by the Kmelia component instance?
    `boolean` | `isImportFileAllowed()` |
    `boolean` | `isImportFilesAllowed()` |
    `boolean` | `isIndexable​(org.silverpeas.core.contribution.publication.model.PublicationDetail pubDetail)` |
    `boolean` | `isKmaxMode()` |
    `boolean` | `isLastVisitorsEnabled()` |
    `boolean` | `isMassiveDragAndDropAllowed()` |
    `boolean` | `isNotificationAllowed()` |
    `boolean` | `isPasteNodeAllowed()` |
    `boolean` | `isPastePublicationAllowed​(boolean isRootNode)` |
    `boolean` | `isPastePublicationAllowed​(String topicId)` |
    `boolean` | `isPDCClassifyingMandatory()` |
    `boolean` | `isPdcUsed()` |
    `boolean` | `isPublicationAllowed​(boolean isRootNode)` |
    `boolean` | `isPublicationAlwaysVisibleEnabled()` |
    `boolean` | `isPublicationDeleted​(org.silverpeas.core.contribution.publication.model.PublicationPK pk)` |
    `boolean` | `isPublicationIdDisplayed()` |
    `boolean` | `isPublicationRatingAllowed()` |
    `boolean` | `isPublicationTaxonomyOK()` | Si le mode brouillon est activé et que le classement PDC est possible alors une publication ne peut sortir du mode brouillon que si elle est classée sur le PDC
    `boolean` | `isPublicationValidatorsOK()` |
    `boolean` | `isReminderUsed()` |
    `boolean` | `isRightsOnTopicsEnabled()` |
    `boolean` | `isSearchOnTopicsEnabled()` | Is search in topics enabled
    `boolean` | `isSeeAlsoEnabled()` |
    `boolean` | `isStatisticAllowed()` |
    `boolean` | `isSuppressionAllowed​(String profile)` |
    `boolean` | `isSuppressionOnlyForAdmin()` |
    `boolean` | `isTargetMultiValidationEnable()` |
    `boolean` | `isTargetValidationEnable()` |
    `boolean` | `isTemplatesSelectionEnabledForRole​(org.silverpeas.core.admin.user.model.SilverpeasRole role)` |
    `boolean` | `isTimeAxisUsed()` |
    `boolean` | `isTopicAdmin​(String nodeId)` | Check user access right on folder
    `boolean` | `isTopicManagementDelegated()` |
    `boolean` | `isTreeStructure()` |
    `boolean` | `isTreeviewUsed()` |
    `boolean` | `isUserCanValidatePublication()` |
    `boolean` | `isUserComponentAdmin()` |
    `boolean` | `isValidationTabVisible()` |
    `boolean` | `isVersionControlled()` |
    `boolean` | `isWriterApproval()` |
    `boolean` | `isWysiwygOnTopicsEnabled()` |
    `void` | `loadPublicationsOfCurrentFolder()` |
    `String` | `manageSubscriptions()` |
    `boolean` | `openSingleAttachmentAutomatically()` |
    `void` | `orderPublications​(List<String> sortedPubIds)` |
    `void` | `orderPubs()` |
    `void` | `paste​(KmeliaPasteDetail pasteDetail)` |
    `org.silverpeas.core.contribution.publication.model.PublicationDetail` | `prepareNewPublication()` |
    `List<org.silverpeas.core.contribution.publication.model.PublicationPK>` | `processSelectedPublicationIds​(String selectedPublicationIds, String notSelectedPublicationIds)` |
    `void` | `processTopicWysiwyg​(String topicId)` |
    `void` | `removePublicationContent()` |
    `void` | `resetPublicationsOrder()` |
    `void` | `resetSelectedPublicationPKs()` |
    `void` | `restoreCurrentLanguage()` | Restores the current content language as it was before its backup.
    `void` | `saveXMLForm​(List<org.apache.commons.fileupload.FileItem> items, boolean forceUpdatePublication)` |
    `void` | `saveXMLFormOfSelectedPublications​(List<org.apache.commons.fileupload.FileItem> items)` |
    `void` | `saveXMLFormToPublication​(org.silverpeas.core.contribution.publication.model.PublicationDetail pubDetail, List<org.apache.commons.fileupload.FileItem> items, boolean forceUpdatePublication)` |
    `boolean` | `saveXMLFormToPublication​(org.silverpeas.core.contribution.publication.model.PublicationDetail pubDetail, KmeliaXmlFormUpdateContext updateContext)` |
    `List<KmeliaPublication>` | `search​(List<String> combination)` |
    `List<KmeliaPublication>` | `search​(List<String> combination, int nbDays)` |
    `List<KmeliaPublication>` | `search​(org.silverpeas.core.index.search.model.QueryDescription queryDescription, org.silverpeas.core.contribution.content.form.PagesContext formContext)` | Get publications and aliases of this topic and its subtopics answering to the query
    `void` | `selectAllPublications​(boolean selected)` |
    `void` | `setAllPublicationsListSelected​(boolean allPublicationsListSelected)` |
    `void` | `setCurrentCombination​(List<String> combination)` |
    `void` | `setCurrentFolderId​(String id, boolean resetSessionPublication)` |
    `void` | `setCurrentLanguage​(String currentLanguage)` |
    `void` | `setIndexOfFirstPubToDisplay​(int index)` |
    `KmeliaSessionController` | `setKmaxMode​(boolean kmaxMode)` |
    `void` | `setModelUsed​(String[] models)` |
    `void` | `setNbPublicationsPerPage​(int nb)` |
    `void` | `setPublicationValidator​(String userIds)` |
    `void` | `setSearchContext​(SearchContext searchContext)` |
    `void` | `setSessionClone​(KmeliaPublication clone)` |
    `void` | `setSessionCombination​(List<String> combination)` |
    `void` | `setSessionOwner​(boolean owner)` |
    `void` | `setSessionPath​(String path)` |
    `void` | `setSessionPathString​(String path)` |
    `void` | `setSessionPublication​(KmeliaPublication pubDetail)` |
    `void` | `setSessionPublicationsList​(List<KmeliaPublication> publications)` |
    `void` | `setSessionTimeCriteria​(String timeCriteria)` |
    `void` | `setSessionTopic​(TopicDetail topicDetail)` |
    `void` | `setSessionTopicToLink​(TopicDetail topicDetail)` |
    `void` | `setSortValue​(int sort)` |
    `boolean` | `showUserNameInList()` |
    `void` | `suspendPublication​(String publicationId, String defermentMotive)` |
    `void` | `unvalidatePublication​(String publicationId, String refusalMotive)` |
    `void` | `updateAxis​(org.silverpeas.core.node.model.NodeDetail axis)` |
    `void` | `updatePosition​(org.silverpeas.core.node.model.NodeDetail position)` |
    `void` | `updatePublication​(org.silverpeas.core.contribution.publication.model.PublicationDetail pubDetail)` |
    `void` | `updatePublication​(org.silverpeas.core.contribution.publication.model.PublicationDetail pubDetail, org.silverpeas.core.webapi.pdc.PdcClassificationEntity classification)` |
    `void` | `updatePublicationReminder​(String pubId, List<org.apache.commons.fileupload.FileItem> parameters)` | Save Or remove the date reminder for the given publication
    `void` | `updateTopic​(org.silverpeas.core.node.model.NodeDetail topic, String alertType)` | Update the specified topic.
    `void` | `updateTopicHeader​(org.silverpeas.core.node.model.NodeDetail nd, String alertType)` | Update only header information about the specified topic.
    `void` | `updateTopicRole​(String role, String nodeId, String[] groupIds, String[] userIds)` |
    `List<org.silverpeas.core.admin.user.model.UserDetail>` | `userIds2Users​(List<String> userIds)` |
    `boolean` | `validatePublication​(String publicationId)` |

    - ### Methods inherited from class org.silverpeas.core.web.mvc.controller.AbstractComponentSessionController

      `addClipboardSelection, clipboardPasteDone, close, getClipboardErrorMessage, getClipboardExceptionError, getClipboardObjects, getClipboardSelectedObjects, getClipboardSize, getComponentAccessController, getComponentId, getComponentLabel, getComponentName, getComponentParameterValue, getComponentParameterValue, getComponentRootName, getComponentUrl, getIcon, getLanguage, getLook, getMultilang, getOrganisationController, getPersonalization, getRSSUrl, getSelection, getSettings, getSilverpeasUserRoles, getSpaceId, getSpaceLabel, getString, getSubscriptionContext, getUrlEncodedParameter, getUserAccessLevel, getUserAvailComponentIds, getUserDetail, getUserDetail, getUserId, getUserManageableGroupIds, getUserManageableSpaceIds, getUserRoles, getZoneId, isAppInMaintenance, isGroupManager, isPasswordChangeAllowed, isSpaceInMaintenance, removeClipboardElement, setAppModeMaintenance, setClipboardSelectedElement, setComponentRootName, setSpaceModeMaintenance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TAB_PREVIEW

          public static final String TAB_PREVIEW

      See Also:
        Constant Field Values

    - #### TAB_HEADER

          public static final String TAB_HEADER

      See Also:
        Constant Field Values

    - #### TAB_CONTENT

          public static final String TAB_CONTENT

      See Also:
        Constant Field Values

    - #### TAB_COMMENT

          public static final String TAB_COMMENT

      See Also:
        Constant Field Values

    - #### TAB_ATTACHMENTS

          public static final String TAB_ATTACHMENTS

      See Also:
        Constant Field Values

    - #### TAB_SEE_ALSO

          public static final String TAB_SEE_ALSO

      See Also:
        Constant Field Values

    - #### TAB_ACCESS_PATHS

          public static final String TAB_ACCESS_PATHS

      See Also:
        Constant Field Values

    - #### TAB_READER_LIST

          public static final String TAB_READER_LIST

      See Also:
        Constant Field Values

    - #### UNITARY_IMPORT_MODE

          public static final String UNITARY_IMPORT_MODE

      See Also:
        Constant Field Values

    - #### MASSIVE_IMPORT_MODE_ONE_PUBLICATION

          public static final String MASSIVE_IMPORT_MODE_ONE_PUBLICATION

      See Also:
        Constant Field Values

    - #### MASSIVE_IMPORT_MODE_MULTI_PUBLICATIONS

          public static final String MASSIVE_IMPORT_MODE_MULTI_PUBLICATIONS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### KmeliaSessionController

          public KmeliaSessionController​(org.silverpeas.core.web.mvc.controller.MainSessionController mainSessionCtrl,
                                         org.silverpeas.core.web.mvc.controller.ComponentContext context)

  - ### Method Detail

    - #### getLanguagesOfAttachments

          public static List<String> getLanguagesOfAttachments​(org.silverpeas.core.ResourceReference resourceReference)

    - #### isPasteNodeAllowed

          public boolean isPasteNodeAllowed()

    - #### isPastePublicationAllowed

          public boolean isPastePublicationAllowed​(boolean isRootNode)

    - #### isPastePublicationAllowed

          public boolean isPastePublicationAllowed​(String topicId)

    - #### isPublicationAllowed

          public boolean isPublicationAllowed​(boolean isRootNode)

    - #### isKmaxMode

          public boolean isKmaxMode()

    - #### setKmaxMode

          public KmeliaSessionController setKmaxMode​(boolean kmaxMode)

    - #### getKmeliaService

          public KmeliaService getKmeliaService()

    - #### getStatisticService

          public org.silverpeas.core.silverstatistics.access.service.StatisticService getStatisticService()

    - #### getDateReminderService

          protected org.silverpeas.core.datereminder.persistence.service.PersistentDateReminderService getDateReminderService()

      Gets a business service of dateReminder.
      Returns:
        a DefaultDateReminderService instance.

    - #### getNbPublicationsOnRoot

          public int getNbPublicationsOnRoot()

    - #### getNbPublicationsPerPage

          public int getNbPublicationsPerPage()

    - #### setNbPublicationsPerPage

          public void setNbPublicationsPerPage​(int nb)

    - #### isDraftVisibleWithCoWriting

          public boolean isDraftVisibleWithCoWriting()

    - #### isTreeStructure

          public boolean isTreeStructure()

    - #### isTreeviewUsed

          public boolean isTreeviewUsed()

    - #### isPdcUsed

          public boolean isPdcUsed()

    - #### isDraftEnabled

          public boolean isDraftEnabled()

    - #### isTopicManagementDelegated

          public boolean isTopicManagementDelegated()

    - #### isAuthorUsed

          public boolean isAuthorUsed()

    - #### isReminderUsed

          public boolean isReminderUsed()

    - #### isStatisticAllowed

          public boolean isStatisticAllowed()

    - #### openSingleAttachmentAutomatically

          public boolean openSingleAttachmentAutomatically()

    - #### isImportFileAllowed

          public boolean isImportFileAllowed()

    - #### isImportFilesAllowed

          public boolean isImportFilesAllowed()

    - #### isExportApplicationAllowed

          public boolean isExportApplicationAllowed​(org.silverpeas.core.admin.user.model.SilverpeasRole greatestUserRole)

    - #### isExportTopicAllowed

          public boolean isExportTopicAllowed​(org.silverpeas.core.admin.user.model.SilverpeasRole greatestUserRole)

    - #### isExportPublicationAllowed

          public boolean isExportPublicationAllowed​(org.silverpeas.core.admin.user.model.SilverpeasRole greatestUserRole)

    - #### isMassiveDragAndDropAllowed

          public boolean isMassiveDragAndDropAllowed()

    - #### isPublicationAlwaysVisibleEnabled

          public boolean isPublicationAlwaysVisibleEnabled()

    - #### displayNbPublis

          public boolean displayNbPublis()

    - #### isRightsOnTopicsEnabled

          public boolean isRightsOnTopicsEnabled()

    - #### attachmentsInPubList

          public boolean attachmentsInPubList()

    - #### isPublicationIdDisplayed

          public boolean isPublicationIdDisplayed()

    - #### isSuppressionOnlyForAdmin

          public boolean isSuppressionOnlyForAdmin()

    - #### isSuppressionAllowed

          public boolean isSuppressionAllowed​(String profile)

    - #### isContentEnabled

          public boolean isContentEnabled()

    - #### isSeeAlsoEnabled

          public boolean isSeeAlsoEnabled()

    - #### isPublicationRatingAllowed

          public boolean isPublicationRatingAllowed()

    - #### showUserNameInList

          public boolean showUserNameInList()

    - #### isLastVisitorsEnabled

          public boolean isLastVisitorsEnabled()

    - #### getInvisibleTabs

          public List<String> getInvisibleTabs()

    - #### generateDocument

          public File generateDocument​(org.silverpeas.core.contribution.converter.DocumentFormat inFormat,
                                       String fromPubId)

      Generates a document in the specified format from the specified publication.
      Parameters:
        `inFormat` - the format of the document to generate.
        `fromPubId` - the unique identifier of the publication from which the document will be generated.
      Returns:
        the generated document as a File instance.

    - #### aKmeliaPublicationExporter

          public static KmeliaPublicationExporter aKmeliaPublicationExporter()

      Gets a new exporter of Kmelia publications.
      Returns:
        a KmeliaPublicationExporter instance.

    - #### getHighestSilverpeasUserRole

          public org.silverpeas.core.admin.user.model.SilverpeasRole getHighestSilverpeasUserRole()

      Specified by:
        `getHighestSilverpeasUserRole` in interface `org.silverpeas.core.web.mvc.controller.ComponentSessionController`
      Overrides:
        `getHighestSilverpeasUserRole` in class `org.silverpeas.core.web.mvc.controller.AbstractComponentSessionController`

    - #### getProfile

          public String getProfile()

    - #### getUserTopicProfile

          public String getUserTopicProfile()

    - #### getUserTopicProfile

          public String getUserTopicProfile​(String id)

    - #### getUserIdsOfTopic

          public List<String> getUserIdsOfTopic()

    - #### isCurrentTopicAvailable

          public boolean isCurrentTopicAvailable()

    - #### isUserComponentAdmin

          public boolean isUserComponentAdmin()

    - #### getTopic

          public TopicDetail getTopic​(String id)

    - #### getTopic

          public TopicDetail getTopic​(String id,
                                      boolean resetSessionItems)

    - #### getTreeview

          public List<org.silverpeas.core.node.model.NodeDetail> getTreeview​(String nodeId)

    - #### getBestTopicDetailsOfPublication

          public TopicDetail getBestTopicDetailsOfPublication​(String pubId)

    - #### flushTrashCan

          public void flushTrashCan()

    - #### updateTopic

          public void updateTopic​(org.silverpeas.core.node.model.NodeDetail topic,
                                  String alertType)

      Update the specified topic. If the local rights of the topic are enabled, then from the inherited rights, only the admin ones are kept.
      Parameters:
        `topic` - the topic to update with the updated data
        `alertType` - the type of notification: notify all the users ("All"), only the publishers ("publisher"), or nobody ("None").

    - #### updateTopicHeader

          public void updateTopicHeader​(org.silverpeas.core.node.model.NodeDetail nd,
                                        String alertType)

      Update only header information about the specified topic.
      Parameters:
        `nd` - the topic to update with the updated data
        `alertType` - the type of notification: notify all the users ("All"), only the publishers ("publisher"), or nobody ("None").

    - #### getSubTopicDetail

          public org.silverpeas.core.node.model.NodeDetail getSubTopicDetail​(String subTopicId)

    - #### addSubTopic

          public org.silverpeas.core.node.model.NodePK addSubTopic​(org.silverpeas.core.node.model.NodeDetail nd,
                                                                   String alertType,
                                                                   String parentId)

    - #### deleteTopic

          public String deleteTopic​(String topicId)

    - #### changeTopicStatus

          public void changeTopicStatus​(String newStatus,
                                        String topicId,
                                        boolean recursiveChanges)

    - #### getPublicationDetail

          public org.silverpeas.core.contribution.publication.model.PublicationDetail getPublicationDetail​(String pubId)

    - #### getBestAllowedPublicationFather

          public org.silverpeas.core.node.model.NodePK getBestAllowedPublicationFather​(String pubId)

    - #### createPublication

          public String createPublication​(org.silverpeas.core.contribution.publication.model.PublicationDetail pubDetail,
                                          org.silverpeas.core.webapi.pdc.PdcClassificationEntity classification)

    - #### addUploadedFilesToPublication

          public void addUploadedFilesToPublication​(Collection<org.silverpeas.core.io.upload.UploadedFile> uploadedFiles,
                                                    org.silverpeas.core.contribution.publication.model.PublicationDetail pubDetail)

      attach uploaded files to the specified publication
      Parameters:
        `uploadedFiles` - list of uploaded files
        `pubDetail` - publication on which you want to attach files

    - #### updatePublication

          public void updatePublication​(org.silverpeas.core.contribution.publication.model.PublicationDetail pubDetail)

    - #### updatePublication

          public void updatePublication​(org.silverpeas.core.contribution.publication.model.PublicationDetail pubDetail,
                                        org.silverpeas.core.webapi.pdc.PdcClassificationEntity classification)

    - #### isCloneNeeded

          public boolean isCloneNeeded()

    - #### isCloneNeededWithDraft

          public boolean isCloneNeededWithDraft()

    - #### clonePublication

          public void clonePublication()

    - #### clonePublication

          public void clonePublication​(org.silverpeas.core.contribution.publication.model.PublicationDetail pubDetail)

    - #### deletePublication

          public void deletePublication​(String pubId)

    - #### deleteSelectedPublications

          public List<String> deleteSelectedPublications()

    - #### deleteClone

          public void deleteClone()

    - #### getPublication

          public KmeliaPublication getPublication​(String pubId)

    - #### getPublication

          public KmeliaPublication getPublication​(String pubId,
                                                  boolean processIndex)

    - #### orderPubs

          public void orderPubs()

    - #### orderPublications

          public void orderPublications​(List<String> sortedPubIds)

    - #### resetPublicationsOrder

          public void resetPublicationsOrder()

    - #### getAllPublications

          public Collection<org.silverpeas.core.contribution.publication.model.PublicationDetail> getAllPublications()

    - #### getAllPublications

          public Collection<org.silverpeas.core.contribution.publication.model.PublicationDetail> getAllPublications​(String sortedBy)

      Get all publications sorted
      Parameters:
        `sortedBy` - (example: pubName asc)
      Returns:
        Collection of Publications

    - #### getAllPublicationsByTopic

          public Collection<org.silverpeas.core.contribution.publication.model.PublicationDetail> getAllPublicationsByTopic​(String instanceId,
                                                                                                                            List<String> fatherIds)

    - #### getAllVisiblePublications

          public List<org.silverpeas.core.util.WAAttributeValuePair> getAllVisiblePublications()

      Get all visible publications
      Returns:
        List of WAAtributeValuePair (Id and InstanceId)

    - #### getAllVisiblePublicationsByTopic

          public List<org.silverpeas.core.util.WAAttributeValuePair> getAllVisiblePublicationsByTopic​(String topicId)

    - #### getIndexOfFirstPubToDisplay

          public int getIndexOfFirstPubToDisplay()

    - #### setIndexOfFirstPubToDisplay

          public void setIndexOfFirstPubToDisplay​(int index)

    - #### processTopicWysiwyg

          public void processTopicWysiwyg​(String topicId)

    - #### isPublicationTaxonomyOK

          public boolean isPublicationTaxonomyOK()

      Si le mode brouillon est activé et que le classement PDC est possible alors une publication ne peut sortir du mode brouillon que si elle est classée sur le PDC
      Returns:
        true si le PDC n'est pas utilisé ou si aucun axe n'est utilisé par le composant ou si la publication est classée sur le PDC

    - #### isPublicationValidatorsOK

          public boolean isPublicationValidatorsOK()

    - #### getPublications

          public <T extends org.silverpeas.core.ResourceReference> Collection<KmeliaPublication> getPublications​(List<T> references)

      Gets the authorized publications from given references into a context of read.
      Parameters:
        `references` - the list of `ResourceReference` instance.
      Returns:
        a collection of `KmeliaPublication` instance.

    - #### getPublicationsForModification

          public <T extends org.silverpeas.core.ResourceReference> Collection<org.silverpeas.kernel.util.Pair<KmeliaPublication,​KmeliaPublication>> getPublicationsForModification​(List<T> references)

      Gets the authorized publications from given references into context of modification.

      Clones are handled.

      Parameters:
        `references` - the list of `ResourceReference` instance.
      Returns:
        a collection of pair of `KmeliaPublication` instances. On left the publication, on right the optional clone.

    - #### validatePublication

          public boolean validatePublication​(String publicationId)

    - #### forcePublicationValidation

          public void forcePublicationValidation​(String publicationId)

    - #### unvalidatePublication

          public void unvalidatePublication​(String publicationId,
                                            String refusalMotive)

    - #### suspendPublication

          public void suspendPublication​(String publicationId,
                                         String defermentMotive)

    - #### getValidationSteps

          public List<org.silverpeas.core.contribution.publication.model.ValidationStep> getValidationSteps()

    - #### isUserCanValidatePublication

          public boolean isUserCanValidatePublication()

    - #### getValidationStep

          public org.silverpeas.core.contribution.publication.model.ValidationStep getValidationStep()

    - #### draftOutPublication

          public void draftOutPublication()

    - #### draftInPublication

          public void draftInPublication()

      Change publication status from any state to draft
      Since:
        3.0

    - #### isIndexable

          public boolean isIndexable​(org.silverpeas.core.contribution.publication.model.PublicationDetail pubDetail)

    - #### addPublicationsToLink

          public int addPublicationsToLink​(String pubId,
                                           Set<String> links)

      adds links between specified publication and other publications contained in links parameter
      Parameters:
        `pubId` - publication which you want removes the external link
        `links` - list of links to remove
      Returns:
        the number of links created

    - #### setSessionTopic

          public void setSessionTopic​(TopicDetail topicDetail)

      Parameters:
        `topicDetail` - the topic detail

    - #### setSessionTopicToLink

          public void setSessionTopicToLink​(TopicDetail topicDetail)

    - #### setSessionPublication

          public void setSessionPublication​(KmeliaPublication pubDetail)

    - #### setSessionClone

          public void setSessionClone​(KmeliaPublication clone)

    - #### setSessionPath

          public void setSessionPath​(String path)

    - #### setSessionPathString

          public void setSessionPathString​(String path)

    - #### setSessionOwner

          public void setSessionOwner​(boolean owner)

    - #### setSessionPublicationsList

          public void setSessionPublicationsList​(List<KmeliaPublication> publications)

    - #### setSessionCombination

          public void setSessionCombination​(List<String> combination)

    - #### setSessionTimeCriteria

          public void setSessionTimeCriteria​(String timeCriteria)

    - #### getSortValue

          public int getSortValue()

    - #### setSortValue

          public void setSortValue​(int sort)

    - #### getSort

          public KmeliaPublicationSort getSort()

    - #### getCurrentFolderId

          public String getCurrentFolderId()

    - #### getCurrentFolderPK

          public org.silverpeas.core.node.model.NodePK getCurrentFolderPK()

    - #### getCurrentFolder

          public org.silverpeas.core.node.model.NodeDetail getCurrentFolder()

    - #### setCurrentFolderId

          public void setCurrentFolderId​(String id,
                                         boolean resetSessionPublication)

    - #### getSessionTopicToLink

          public TopicDetail getSessionTopicToLink()

    - #### getSessionPublication

          public KmeliaPublication getSessionPublication()

    - #### getSessionClone

          public KmeliaPublication getSessionClone()

    - #### getSessionPubliOrClone

          public KmeliaPublication getSessionPubliOrClone()

    - #### getSessionPath

          public String getSessionPath()

    - #### getSessionPathString

          public String getSessionPathString()

    - #### getSessionOwner

          public boolean getSessionOwner()

    - #### getSessionPublicationsList

          public List<KmeliaPublication> getSessionPublicationsList()

    - #### getSessionCombination

          public List<String> getSessionCombination()

    - #### getSessionTimeCriteria

          public String getSessionTimeCriteria()

    - #### initUPToSelectValidator

          public String initUPToSelectValidator​(String formElementName,
                                                String formElementId,
                                                String folderId)

    - #### isVersionControlled

          public boolean isVersionControlled()

    - #### isWriterApproval

          public boolean isWriterApproval()

    - #### isTargetValidationEnable

          public boolean isTargetValidationEnable()

    - #### isTargetMultiValidationEnable

          public boolean isTargetMultiValidationEnable()

    - #### isCollegiateValidationEnable

          public boolean isCollegiateValidationEnable()

    - #### isValidationTabVisible

          public boolean isValidationTabVisible()

    - #### getValidationType

          public int getValidationType()

    - #### isCoWritingEnable

          public boolean isCoWritingEnable()

    - #### isCurrentPublicationHaveContent

          public boolean isCurrentPublicationHaveContent()

    - #### isPDCClassifyingMandatory

          public boolean isPDCClassifyingMandatory()

    - #### getPdcManager

          public org.silverpeas.core.pdc.pdc.service.PdcManager getPdcManager()

    - #### getNodeService

          public org.silverpeas.core.node.service.NodeService getNodeService()

    - #### getPublicationService

          public org.silverpeas.core.contribution.publication.service.PublicationService getPublicationService()

    - #### importFile

          public org.silverpeas.core.importexport.report.ImportReport importFile​(File fileUploaded,
                                                                                 String importMode,
                                                                                 boolean draftMode,
                                                                                 int versionType)
                                                                          throws org.silverpeas.core.importexport.model.ImportExportException

      Throws:
        `org.silverpeas.core.importexport.model.ImportExportException`

    - #### isPublicationDeleted

          public boolean isPublicationDeleted​(org.silverpeas.core.contribution.publication.model.PublicationPK pk)

    - #### setModelUsed

          public void setModelUsed​(String[] models)

    - #### getModelUsed

          public List<String> getModelUsed​(boolean specificToTopic)

      Gets a list of models used as publication content for the current topic. First a global model for the whole Kmelia instance is looked for. If no such model exists, and if the specified flag is set at true, then the models defined for the current topic are looked for.
      Parameters:
        `specificToTopic` - a flag indicating if the models specifics to the current topic have to be taken into account.
      Returns:
        a list of the available models as publication content.

    - #### isTimeAxisUsed

          public boolean isTimeAxisUsed()

    - #### isFieldDescriptionVisible

          public boolean isFieldDescriptionVisible()

    - #### isFieldDescriptionMandatory

          public boolean isFieldDescriptionMandatory()

    - #### isFieldKeywordsVisible

          public boolean isFieldKeywordsVisible()

    - #### isFieldImportanceVisible

          public boolean isFieldImportanceVisible()

    - #### isFieldVersionVisible

          public boolean isFieldVersionVisible()

    - #### getTimeAxisKeys

          public List<Integer> getTimeAxisKeys()

    - #### getAxis

          public List<org.silverpeas.core.node.model.NodeDetail> getAxis()

    - #### getAxisHeaders

          public List<org.silverpeas.core.node.model.NodeDetail> getAxisHeaders()

    - #### addAxis

          public void addAxis​(org.silverpeas.core.node.model.NodeDetail axis)

    - #### getNodeHeader

          public org.silverpeas.core.node.model.NodeDetail getNodeHeader​(String id)

    - #### updateAxis

          public void updateAxis​(org.silverpeas.core.node.model.NodeDetail axis)

    - #### deleteAxis

          public void deleteAxis​(String axisId)

    - #### search

          public List<KmeliaPublication> search​(List<String> combination)

    - #### search

          public List<KmeliaPublication> search​(List<String> combination,
                                                int nbDays)

    - #### getUnbalancedPublications

          public List<KmeliaPublication> getUnbalancedPublications()

    - #### addPosition

          public void addPosition​(String fatherId,
                                  org.silverpeas.core.node.model.NodeDetail position)

    - #### updatePosition

          public void updatePosition​(org.silverpeas.core.node.model.NodeDetail position)

    - #### deletePosition

          public void deletePosition​(String positionId)

    - #### getPublicationCoordinates

          public Collection<org.silverpeas.core.node.coordinates.model.Coordinate> getPublicationCoordinates​(String pubId)

    - #### addPublicationToCombination

          public void addPublicationToCombination​(String pubId,
                                                  List<String> combination)

    - #### deletePublicationFromCombination

          public void deletePublicationFromCombination​(String pubId,
                                                       String combinationId)

    - #### getCurrentPublicationsList

          public List<org.silverpeas.core.util.WAAttributeValuePair> getCurrentPublicationsList()

      Get session publications
      Returns:
        List of WAAtributeValuePair (Id and InstanceId)

    - #### getPath

          public Collection<org.silverpeas.core.node.model.NodeDetail> getPath​(String positionId)

    - #### setCurrentCombination

          public void setCurrentCombination​(List<String> combination)

    - #### getCurrentCombination

          public List<String> getCurrentCombination()

    - #### getCombination

          public List<String> getCombination​(String axisValuesStr)

      Get combination Axis (ie: /0/1037)
      Parameters:
        `axisValuesStr` - textual representation of axis values
      Returns:
        Collection of combination

    - #### getPrevious

          public String getPrevious()

      getPrevious
      Returns:
        previous publication id

    - #### getNext

          public String getNext()

      getNext
      Returns:
        next publication id

    - #### getRang

          public int getRang()

    - #### isDragAndDropEnable

          public boolean isDragAndDropEnable()

    - #### getCurrentLanguage

          public String getCurrentLanguage()

    - #### setCurrentLanguage

          public void setCurrentLanguage​(String currentLanguage)

    - #### initUserPanelForTopicProfile

          public void initUserPanelForTopicProfile​(String role,
                                                   String nodeId,
                                                   String[] groupIds,
                                                   String[] userIds)

    - #### updateTopicRole

          public void updateTopicRole​(String role,
                                      String nodeId,
                                      String[] groupIds,
                                      String[] userIds)

    - #### getTopicProfile

          public org.silverpeas.core.admin.user.model.ProfileInst getTopicProfile​(String role,
                                                                                  String topicId)

    - #### getProfile

          public org.silverpeas.core.admin.user.model.ProfileInst getProfile​(String role)

    - #### getTopicProfiles

          public List<org.silverpeas.core.admin.user.model.ProfileInst> getTopicProfiles()

    - #### getTopicProfiles

          public List<org.silverpeas.core.admin.user.model.ProfileInst> getTopicProfiles​(String topicId)

    - #### groupIds2Groups

          public List<org.silverpeas.core.admin.user.model.Group> groupIds2Groups​(List<String> groupIds)

    - #### userIds2Users

          public List<org.silverpeas.core.admin.user.model.UserDetail> userIds2Users​(List<String> userIds)

    - #### copyPublication

          public void copyPublication​(String pubId)
                               throws org.silverpeas.core.clipboard.ClipboardException

      Throws:
        `org.silverpeas.core.clipboard.ClipboardException`

    - #### copySelectedPublications

          public void copySelectedPublications()
                                        throws org.silverpeas.core.clipboard.ClipboardException

      Throws:
        `org.silverpeas.core.clipboard.ClipboardException`

    - #### cutPublication

          public void cutPublication​(String pubId)
                              throws org.silverpeas.core.clipboard.ClipboardException

      Throws:
        `org.silverpeas.core.clipboard.ClipboardException`

    - #### cutSelectedPublications

          public void cutSelectedPublications()
                                       throws org.silverpeas.core.clipboard.ClipboardException

      Throws:
        `org.silverpeas.core.clipboard.ClipboardException`

    - #### copyTopic

          public void copyTopic​(String id)
                         throws org.silverpeas.core.clipboard.ClipboardException

      Throws:
        `org.silverpeas.core.clipboard.ClipboardException`

    - #### cutTopic

          public void cutTopic​(String id)
                        throws org.silverpeas.core.clipboard.ClipboardException

      Throws:
        `org.silverpeas.core.clipboard.ClipboardException`

    - #### paste

          public void paste​(KmeliaPasteDetail pasteDetail)
                     throws org.silverpeas.core.clipboard.ClipboardException

      Throws:
        `org.silverpeas.core.clipboard.ClipboardException`

    - #### getClipboardState

          public KmeliaSessionController.CLIPBOARD_STATE getClipboardState()

    - #### getPublicationLanguages

          public List<String> getPublicationLanguages()

      get languages of publication header and attachments
      Returns:
        a List of String (language codes)

    - #### getAttachmentLanguages

          public List<String> getAttachmentLanguages()

    - #### getPublicationLocations

          public Collection<org.silverpeas.core.contribution.publication.model.Location> getPublicationLocations()

    - #### getAliasTreeview

          public List<org.silverpeas.core.node.model.NodeDetail> getAliasTreeview​(String instanceId)

    - #### getSingleAttachmentURLOfCurrentPublication

          public String getSingleAttachmentURLOfCurrentPublication​(boolean fromAlias)

      Returns URL of single attached file for the current publication. If publication contains more than one file, null is returned
      Parameters:
        `fromAlias` - true if getting document version from an alias.
      Returns:
        URL of single attached file for the current publication. Null if publication contains more than one file.

    - #### getAttachmentURL

          public String getAttachmentURL​(String fileId,
                                         boolean fromAlias)

      Return the url to access the file
      Parameters:
        `fileId` - the id of the file (attachment or document id).
        `fromAlias` - true if getting document version from an alias.
      Returns:
        the url to the file.

    - #### getXmlFormForFiles

          public String getXmlFormForFiles()

    - #### exportPublication

          public File exportPublication()

    - #### isNotificationAllowed

          public boolean isNotificationAllowed()

    - #### isWysiwygOnTopicsEnabled

          public boolean isWysiwygOnTopicsEnabled()

    - #### getWysiwygOnTopic

          public String getWysiwygOnTopic​(String id)

    - #### getWysiwygOnTopic

          public String getWysiwygOnTopic()

    - #### getTopicPath

          public List<org.silverpeas.core.node.model.NodeDetail> getTopicPath​(String topicId)

    - #### getThumbnailSettings

          public org.silverpeas.core.io.media.image.thumbnail.ThumbnailSettings getThumbnailSettings()

    - #### getAxisIdGlossary

          public String getAxisIdGlossary()

      return the value of component parameter "axisIdGlossary". This paramater indicate the axis of pdc to use to highlight word in publication content
      Returns:
        an indentifier of Pdc axis

    - #### getRole

          public String getRole()

    - #### displayPath

          public String displayPath​(Collection<org.silverpeas.core.node.model.NodeDetail> path,
                                    boolean linked,
                                    int beforeAfter)

    - #### isSearchOnTopicsEnabled

          public boolean isSearchOnTopicsEnabled()

      Is search in topics enabled
      Returns:
        boolean

    - #### isAttachmentsEnabled

          public boolean isAttachmentsEnabled()

    - #### search

          public List<KmeliaPublication> search​(org.silverpeas.core.index.search.model.QueryDescription queryDescription,
                                                org.silverpeas.core.contribution.content.form.PagesContext formContext)

      Get publications and aliases of this topic and its subtopics answering to the query
      Parameters:
        `queryDescription` - the query
      Returns:
        List of Kmelia publications

    - #### getSpacePath

          public List<org.silverpeas.core.admin.space.SpaceInstLight> getSpacePath()

      Returns:
        the list of SpaceInst from current space identifier (in session) to root space
        (all the subspace)

    - #### getForms

          public List<org.silverpeas.core.contribution.template.publication.PublicationTemplate> getForms()

    - #### getPublicationExportFileName

          public String getPublicationExportFileName​(KmeliaPublication publication,
                                                     String language)

      Description copied from interface: `ExportFileNameProducer`
      Gets the name of the file into which the specified publication can be exported, whatever the format of the export file.
      Specified by:
        `getPublicationExportFileName` in interface `ExportFileNameProducer`
      Parameters:
        `publication` - the Kmelia publication to export.
        `language` - the language in which the file should be named. This parameter can be not taken into account in the file name computation by the implementation (depends on the strategy used in the name production).
      Returns:
        the name of the file into which the publication can be exported.

    - #### removePublicationContent

          public void removePublicationContent()

    - #### isComponentManageable

          public boolean isComponentManageable()

    - #### getAvailableFormats

          public List<String> getAvailableFormats()

      Gets all available export formats.
      Returns:
        a list of export formats Silverpeas supports for export.

    - #### getSupportedFormats

          public List<String> getSupportedFormats()

      Gets the export formats that are supported by the current Kmelia component instance. As some of the export formats can be deactivated in the Kmelia settings file, this method returns all the formats that are currently active.
      Returns:
        a list of export formats.

    - #### isFormatSupported

          public boolean isFormatSupported​(String format)

      Is the specified export format is supported by the Kmelia component instance?
      Parameters:
        `format` - a recognized export format.
      Returns:
        true if the specified format is currently supported for the publication export, false otherwise.

    - #### isDefaultClassificationModifiable

          public boolean isDefaultClassificationModifiable​(String topicId,
                                                           String componentId)

      Is the default classification on the PdC used to classify the publications published in the specified topic of the specified component instance can be modified during the multi-publications import process? If no default classification is defined for the specified topic (and for any of its parent topics), then false is returned.
      Parameters:
        `topicId` - the unique identifier of the topic.
        `componentId` - the unique identifier of the component instance.
      Returns:
        true if the default classification can be modified during the automatical classification of the imported publications. False otherwise.

    - #### resetSelectedPublicationPKs

          public void resetSelectedPublicationPKs()

    - #### processSelectedPublicationIds

          public List<org.silverpeas.core.contribution.publication.model.PublicationPK> processSelectedPublicationIds​(String selectedPublicationIds,
                                                                                                                      String notSelectedPublicationIds)

    - #### getSelectedPublicationPKs

          public List<org.silverpeas.core.contribution.publication.model.PublicationPK> getSelectedPublicationPKs()

    - #### isCustomPublicationTemplateUsed

          public boolean isCustomPublicationTemplateUsed()

    - #### getCustomPublicationTemplateName

          public String getCustomPublicationTemplateName()

    - #### getLatestPublications

          public List<KmeliaPublication> getLatestPublications()

    - #### loadPublicationsOfCurrentFolder

          public void loadPublicationsOfCurrentFolder()

    - #### getContentLanguage

          public String getContentLanguage()

    - #### setSearchContext

          public void setSearchContext​(SearchContext searchContext)

    - #### getSearchContext

          public SearchContext getSearchContext()

    - #### manageSubscriptions

          public String manageSubscriptions()

    - #### getNbPublicationImported

          public int getNbPublicationImported​(org.silverpeas.core.importexport.report.ImportReport importReport)

    - #### getErrorMessageImportation

          public String getErrorMessageImportation​(org.silverpeas.core.importexport.report.ImportReport importReport,
                                                   String importMode)

    - #### getListPublicationImported

          public List<org.silverpeas.core.contribution.publication.model.PublicationDetail> getListPublicationImported​(org.silverpeas.core.importexport.report.ImportReport importReport,
                                                                                                                       String importMode)

    - #### getLastAccess

          public List<org.silverpeas.core.silverstatistics.access.model.HistoryObjectDetail> getLastAccess​(org.silverpeas.core.contribution.publication.model.PublicationPK pk)

    - #### setPublicationValidator

          public void setPublicationValidator​(String userIds)

    - #### isTopicAdmin

          public boolean isTopicAdmin​(String nodeId)

      Check user access right on folder
      Parameters:
        `nodeId` - the topic/folder identifier to check
      Returns:
        true if current user has admin access on topic given in parameter

    - #### addPublicationReminder

          public void addPublicationReminder​(org.silverpeas.core.contribution.publication.model.PublicationDetail pubDetail,
                                             List<org.apache.commons.fileupload.FileItem> parameters)
                                      throws org.silverpeas.core.datereminder.exception.DateReminderException

      Create the date reminder for the given publication
      Parameters:
        `pubDetail` - the publication
        `parameters` - date reminder parameters
      Throws:
        `org.silverpeas.core.datereminder.exception.DateReminderException` - on error

    - #### updatePublicationReminder

          public void updatePublicationReminder​(String pubId,
                                                List<org.apache.commons.fileupload.FileItem> parameters)
                                         throws org.silverpeas.core.datereminder.exception.DateReminderException

      Save Or remove the date reminder for the given publication
      Parameters:
        `pubId` - the publication
        `parameters` - the new date reminder parameters
      Throws:
        `org.silverpeas.core.datereminder.exception.DateReminderException` - on error

    - #### isTemplatesSelectionEnabledForRole

          public boolean isTemplatesSelectionEnabledForRole​(org.silverpeas.core.admin.user.model.SilverpeasRole role)

    - #### getXmlFormForPublications

          public org.silverpeas.core.contribution.content.form.Form getXmlFormForPublications()

    - #### getXmlFormSearchForPublications

          public org.silverpeas.core.contribution.content.form.Form getXmlFormSearchForPublications()

      Gets the XML form to use in a local search. This form is also the default template for the publication contents in the Kmelia instance. Such form can only be set at the Kmelia instance level and it is applied for all the topics.

      Setting an XML form for the whole Kmelia instance is in opposition with the feature to set one or more XML forms as publication contents for a given folder. Latter is enabled only if there is no global XML form as publication content for the whole Kmelia instance.

      Because more than one XML form can be set as publication content for a given topic, such XML forms, even if there is only one, cannot be candidates for a local search in the concerned topic.

      Returns:
        the form to use a local search or null if there is no such form.

    - #### saveXMLFormToPublication

          public void saveXMLFormToPublication​(org.silverpeas.core.contribution.publication.model.PublicationDetail pubDetail,
                                               List<org.apache.commons.fileupload.FileItem> items,
                                               boolean forceUpdatePublication)
                                        throws org.silverpeas.kernel.SilverpeasException

      Throws:
        `org.silverpeas.kernel.SilverpeasException`

    - #### saveXMLFormToPublication

          public boolean saveXMLFormToPublication​(org.silverpeas.core.contribution.publication.model.PublicationDetail pubDetail,
                                                  KmeliaXmlFormUpdateContext updateContext)
                                           throws org.silverpeas.kernel.SilverpeasException

      Throws:
        `org.silverpeas.kernel.SilverpeasException`

    - #### saveXMLForm

          public void saveXMLForm​(List<org.apache.commons.fileupload.FileItem> items,
                                  boolean forceUpdatePublication)
                           throws org.silverpeas.kernel.SilverpeasException

      Throws:
        `org.silverpeas.kernel.SilverpeasException`

    - #### prepareNewPublication

          public org.silverpeas.core.contribution.publication.model.PublicationDetail prepareNewPublication()

    - #### backupCurrentLanguage

          public void backupCurrentLanguage()

      Backups the current active content language in order to update it for an operation.

    - #### restoreCurrentLanguage

          public void restoreCurrentLanguage()

      Restores the current content language as it was before its backup.

    - #### saveXMLFormOfSelectedPublications

          public void saveXMLFormOfSelectedPublications​(List<org.apache.commons.fileupload.FileItem> items)

    - #### isAllPublicationsListSelected

          public boolean isAllPublicationsListSelected()

    - #### setAllPublicationsListSelected

          public void setAllPublicationsListSelected​(boolean allPublicationsListSelected)

    - #### selectAllPublications

          public void selectAllPublications​(boolean selected)